The Mozilla Firefox Browser

address bar suddenly not responding to <enter> or the green arrow

Reported by JHF2442 on 2008-06-15
42
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Firefox Extensions
Undecided
Unassigned
Mozilla Firefox
Invalid
High
firefox-3.0 (Ubuntu)
Undecided
Unassigned

Bug Description

Summary: At random, the location bar ceases to load pages

Steps to reproduce:
  1. Enter a URL in the location bar
  2. Hit the Enter key or click the green arrow

Expected Result:
URL opens in tab

Actual Result:
Nothing. No new page will load from the URL bar in any tab.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a4pre) Gecko/20070330 Minefield/3.0a4pre
Works for me. Please retest in -safe-mode, with a new profile or with a reinstallation in a new empty directory.
http://kb.mozillazine.org/Safe_Mode_(Firefox)
http://kb.mozillazine.org/Profile_Folder

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.8.1.5) Gecko/20070713 Firefox/2.0.0.5
I'm having the same problem. Seems to happen fairly frequently. Exactly the same as described by Thomas.

Same problem on Vista using FF 3.0 RC1. Ctrl-Enter does not work either. Firebug is not installed and del.icio.us is version 2.0.48.

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008051206 Firefox/3.0

-- Cory

Regardless of what I try, I cannot type in an address and click enter. I can click on links.

Binary package hint: firefox-3.0

Typing in address bar is working fine, completion works. But enter brings no action (should go to typed URL), also click on green triangle "go to the location" on the right side of the address bar remains without effect.

Restarting FF solves the problem... till it happens again after some time

This is Hardy, up-to-date as of 15/06/2008, problem occurs with WindowMaker and Gnome, so I assume it is merely WM independant.

Ralph Janke (txwikinger) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it, because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures

At a minimum, we need:
 1. the specific steps or actions you took that caused you to encounter the problem,
 2. the behavior you expected, and
 3. the behavior you actually encountered (in as much detail as possible).

Can you type in any others textfields in firefox when this happens?
Could you please give the particular package version of firefox (you can find this information with running "apt-cache policy firefox" in the terminal)?
Is firefox the only application that has this problem?

Thanks!

Changed in firefox-3.0:
assignee: nobody → txwikinger
status: New → Incomplete

Sorry for the missing information, I thought I had somehow explained the situation. Seems like my description was not accurate enough.

I open a new tab, start typing an URL. Evrything fine so far, URL completion is working (I get some proposals in the popup below the adress bar). After having typed my whole URL, I hit <enter>, and then... nothing ! I would expect FF to open the URL in the tab :-) Also clicking on the green triangle at the end of the address bar doesn't bring FF to perform any action (from the balloon help it says "Go to the address in the location bar")

firefox:
  Installed: 3.0~rc1+nobinonly-0ubuntu0.8.04.1
  Candidate: 3.0~rc1+nobinonly-0ubuntu0.8.04.1
  Version table:
 *** 3.0~rc1+nobinonly-0ubuntu0.8.04.1 0
        500 http://apt.isola.red hardy-updates/main Packages
        100 /var/lib/dpkg/status
     3.0~b5+nobinonly-0ubuntu3 0
        500 http://apt.isola.red hardy/main Packages
(apt.isola.red is my local approx machine)

Solution so far : use the google bookmark to get to the google homepage. there I can type in a few seach keywords in the field (entry is working fine), so that I can click on one of the search results links to get to the site I want to access.

Other solution : close and restart FF, then the address bar is reacting anew for some time. I know "some time" is quite a vague description, but up to now I couldn't correlate this behaviour to something particular in my system, so I only see it happen after a few page views.

BTW : extensions installed :
- greasemonkey 0.8.20080609.0
- ubuntu firefox modifications 0.5
- web developper 1.1.6
- Deutsches Wörterbuch 1.0.1
- Dictionnaire HunSpell en Fracais 2.0

I'll deactivate those and see if this correlates somehow

I've been seeing this bug for quite a while, currently on OS X 10.5.3 FF3.0 rc3.

Possibly helpful: when it happens, it affects only that window. If I open a new window, the url bar works normally, but only in that new window...nothing seems to ever unstick the affected window's url bar.

This bug made it into the release. I'm currently using the following:

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

Same issue, the address bar ceases to function as expected at random. The new suggest features still work, but when enter or go is pressed nothing happens. It does work when opening a new window or restarting.

hey,

i have the same issue and had it with ff2 as well. i was rather hoping this would have been fixed for ff3. of the extensions you have installed i also have the ubuntu modifications and webdeveloper. typing in the address field is not the problem only pressing enter or the go arrow just does not function. behaviour seems very random. sometimes it happens with 3 tabs open, sometimes with seven, sometimes not at all. i at least could not see what triggers this.

gRTz

ben

pgillan (patrick-skettle) wrote :

Not to muddy the waters, but I've been getting the exact same behavior in FF2 and FF3 on XP Pro SP2. The only plug-in I have in common with the previous posters is Web Developer. I'm going to go ahead and uninstall that to see if it fixes the issue.

nightowl77 (werner-avenant) wrote :

I would like to confirm that this happens on Ubuntu 8.04 with all the latest updates installed

My Firefox version is

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061015 Firefox/3.0

It happens exactly the the way JHF2442 describes it. Everything works fine (you can click the "home" button, choose bookmarks, it all works) but you cannot enter a new address and press enter. It's like firefox is just completely ignoring the fact that you pressed Enter.

It's difficult to recreate this error - it happens randomly and doesn't seem to be "time related". Sometimes it happens after firefox has been running for days, but this morning firefox ran for less than an hour before it started.

I only have flashblock, delicious and the ubuntu add-ons installed.

PS: I don't know if you get memory dumps or other debug information with this post - but my firefox is in that "enter doesn't work" mode this very second.

nightowl77 (werner-avenant) wrote :

I would like to make sure that there is no confusion over the "enter doesn't work" statement in my previous comment.

When I say "enter doesn't work" it only affects the location bar.

The Enter key works perfectly in the following scenarios:

1. Web Forms - working

I can go to google, enter a search term and just press "enter" without clicking on the search button

2. Firefox menus - working

I can click on Help, and then use the arrow keys to scroll down to "About". I can press enter on "About" and it will open up the dialog box. I can press enter again and it will close the dialog box.

3. All other Firefox Dialogs - working

All the dialogs (bookmarks, history, preferences) works perfectly fine and the "enter" key responds as it is supposed to

From what I can tell it looks like this bug is only affecting the location bar, no other part or subsystem of firefox is affected.

I am also experiencing the problem, on Hardy and using the latest version of Firefox. I'd also like to add, in addition to the above, that the location bar is blank when I start Firefox, and Ctrl + L or Alt + D brings up the "Open Web Location" dialog, instead of bringing the location bar to focus.

dekay (daniel-kaesmayr) wrote :

I have been seeing this behavior also on

Firefox 2 for OSX as well as XP
and now on both FF3 for Mac OSX and XP.

Every now and then the enter key does not do anything in teh adress bar. One can enter web addresses, auto completion works -- but there is NO WAY to actually open the so entered/selected adress.

The only solution is to close the FF window and open a new one.

As for extensions: Delicious Bookmarks and Adblock Plus.

This issue has been reported several times. See bug 437241, bug 440769, bug
441482
, bug 441510 and bug 441502.

I personally run into this issue randomly (not so often) on Mac OS X from time
to time. Closing the current window solves the issue.

Confirming, component -> location bar, OS -> all

*** Bug 437241 has been marked as a duplicate of this bug. ***

*** Bug 440769 has been marked as a duplicate of this bug. ***

*** Bug 441502 has been marked as a duplicate of this bug. ***

I have the same behavior as of this morning, i.e. The address bar does not respond to <enter>, and Ctrl + L or Alt + D brings up the "Open Web Location" dialog, instead of bringing the location bar to focus.
I am running
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

+ Extensions:
Better GCal 0.2.3
Better GMail 2 0.5
Better GReader 0.2.5
Colorzilla 1.9
Delicious Bookmarks 2.0.64
Download Statusbar 0.9.6.3
dragdropupload 1.6.7
Foxmarks 2.0.46.10
greasemonkey 0.8.20080609.0
Hyperwords 4.0
IE View 1.3.7
Live HTTP Headers 0.14
MeasureIt 0.3.8
PicLens 1.7.0.3458
Prism 0.2
TwitterFox 1.5.6
Web Developer 1.1.6

I have disabled all my plugins, and the problem still appears. So I tend to believe this is only FF-related.

Only remaining plugin I had was the webdevelopper, which a lot of other reporters had activated. But I switched it off 2 days ago and the problem still arises.

I'll try to think about always startint FF from the shell, so that I may get some debug info printed out on the terminal when the problem occurs

Currently using : 3.0+nobinonly-0ubuntu0.8.04.1

I'm having the same issue. Clicking on bookmarks, links within system, Delicious addon links all work normal.

This has happened twice in two days. If I open a new window, the new window works fine, but the original window does not work.

Entering data in the Search box does work as planned.

Windows XP SP2
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

Delicious 2.0.64
Dictionary Switcher 0.9
dragdropupload 1.6.7
Forecastfox 0.9.7.6
Google Gears 0.3.24.0
Google Notebook 1.0.0.20
Greasemonkey 0.8.20080609.0
IETab 1.5.20080618
NoScript 1.7.1
Operator 0.9.3
Remember The Milk 1.0.2

(In reply to comment #12)
> I'm having the same issue.

Can you please try running Firefox in safe mode and see if the problems persists?

The problem is not regular. Sometimes it'll go days without doing it, sometimes within a few hours.

If the bug pops up, any restart will resolve the issue. Running in Safe Mode will always fix the problem, but I wouldn't be able to determine if the problem would not occur in safe mode.

This morning, it began to happen after only a few minutes of use. I restarted the browser (normally) and attempted to go to all of the same websites I went to prior. I couldn't get Firefox to reproduce the problem.

I know it helps little to none if the problem can't be reproduced... I'm paying more attention to my activity to try to keep note of last actions before the problem arises. I'll post again here if I can discover anything new/determine steps to reproduce.

Just to update, I uninstalled the WebDeveloper plugin several days ago, and the issue eventually did crop up again. (FF2 & 3, WinXP Pro SP2). I think the problem with this bug is that there's no way to know what triggers it. It could be hours, or even days between when the bug crops up and when you encounter it; I don't manually enter URLs all that often.

As for my plugins list:
AdBlock Plus
Delicious Bookmarks
Foxmarks
ReloadEvery

I don't know if this applies to anybody else as well, but before installing Firefox 3, I had moved the location bar to the same toolbar as the menus and hidden the Navigation Toolbar. Having now installed Firefox 3, when I unhide the Navigation Toolbar, another location bar is there, and that one responds to Ctrl + L and Alt + D, and it functions as expected. I have since reverted to the original layout of Firefox, as it is the only way to resolve the problems, as I am experiencing them, at the moment.

Nope, location bar is right of home/print buttons. At the menu level there is the google search bar. Believe it is the default appearance.

Latest time:
Opened Firefox at ~5pm local.
Left computer, left Firefox running at 5:30 with with three tabs:
http://www.menswearhouse.com/tuxedos/tuxedo_wedding.jsp
http://www.alsformalwear.com/portfolio-wedding-index.asp
http://www.google.com/calendar/hosted/utcatholic.org/render

Returned to Firefox at 8:05pm local.
Address bar did not respond.

Opened new window, address bar responds.

This occured on a different computer than my above entry:

Windows XP SP2
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

Delicious 2.0.64
Google Gears 0.3.24.0
Greasemonkey 0.8.20080609.0
IEView Lite 1.3.3
Move Media Player 1.0.0.07103010
NoScript 1.7.1
Operator 0.9.3
Remember The Milk 1.0.2

That means this cannot be related to:
Dictionary Switcher 0.9
dragdropupload 1.6.7
Google Notebook 1.0.0.20
IETab 1.5.20080618

*** Bug 443235 has been marked as a duplicate of this bug. ***

And middle clicking on the go button, does that work?

(In reply to comment #17)
> And middle clicking on the go button, does that work?
>

For me, unknown. None of the trackpads/trackballs/mice I use have a middle button.

*** Bug 439233 has been marked as a duplicate of this bug. ***

Bug 439233 contains a video of this problem.

I can just confirm that I also have this problem. At the moment I can only remember getting this on w2k, not my vista or ubuntu machine. But I can be remembering wrong about vista. And ubuntu I am not runnnig as frequent as vista an w2k.

*** Bug 443409 has been marked as a duplicate of this bug. ***

Is this only after opening a new tab?

Yes, only after opening a new tab and it's appears randomly. From time to time.
If I open a new one Firefox app instance, everything is fine.

I can confirm this for my experience as well. When the bug strikes, it is after a new tab is opened. The address bar, however, will fail for all tabs in that window.

Mark me down as another person experiencing this issue, though I don't think it's specific to Ubuntu - It's also randomly occured on my OSX box @ work.
For what it's worth, this problem has plagued me since FF2, consistently, on many different machines.

Ralph Janke (txwikinger) on 2008-07-26
Changed in firefox-extensions:
status: New → Invalid
Changed in firefox-3.0:
assignee: txwikinger → nobody
status: Incomplete → Confirmed
Changed in firefox:
status: Unknown → Confirmed
description: updated
Changed in firefox:
status: Confirmed → Invalid
Changed in firefox-3.0:
status: Confirmed → Invalid
152 comments hidden view all 232 comments

After 6 months without this problem, I've noticed that it started again.

I believe that this is a problem related with an extension as it was related with an old version of Delicious but, is it possible to protect Firefox against this?
I think it's unacceptable to see Firefox halting because of a problem in an extension as I see in every software. Example: is unacceptable to see X server crashing because I started a program. In this case, even if there is an error in the program, it's obviously a problem with X server too.

Best regards,

Tulio Magno

(In reply to comment #150)
> After 6 months without this problem, I've noticed that it started again.
>
> I believe that this is a problem related with an extension as it was related
> with an old version of Delicious but, is it possible to protect Firefox against
> this?
Actually, that is not reasonable. Mozilla can't be expected to ensure complete functionality of thousands of 3rd party extensions. In this case, the Delicious extension developers need to be made aware of the issue so they can fix the bug on their end.

(In reply to comment #151)
> Actually, that is not reasonable. Mozilla can't be expected to ensure complete
> functionality of thousands of 3rd party extensions. In this case, the
> Delicious extension developers need to be made aware of the issue so they can
> fix the bug on their end.

I completely agree with you. It's impossible do correct communities addon's, but I think that Mozilla can try to make architectural modifications in Firefox to protect against these problems.

The fact is: addon developpers are going to make errors. It's natural. But I think that it's unacceptable that Firefox crash because of these errors. Can you understand me?

Thank for you answer.

Tulio: where did Firefox crash?

Sorry.

Crash = lock the URL address bar

At least once a week firefox crashes here. But it is not related to this bug and it's probably related to another addon or plugin failure.

Túlio: The bug you're looking for is bug 156493 (at least partly).

That is really amazing, Natch. Thanks!

But, is it possible to try something like this, but adapted to this kind of problem?

Let's specify that "this kind of problem" is "lock the URL address bar"

Túlio:
If you look at how addons are made, I really really doubt they could stop them. Firefox is written, in large part, entirely in Javascript. The addons have to have access to Chrome to be able to even put a button on a toolbar or an entry in a menu. If they have access to Chrome through Javascript, they've got access to all of it. To block it would be like....telling Greasemonkey "you can modify this website in Javascript, but *not* the navigation bar"

The truth is that in this case it wouldn't help you much even if plugins _and_ addons were in a separate process. Here the addon is doing valid stuff invalidly :) . In other words, once the user gives the addon permission to run, the addon has access to Chrome (conceivably to _enhance_ the UI). If it does something that isn't supported it may break the UI. To guard against every possible outcome of poor coding in addons is impossible. I think the resolution for this bug is accurate being that:

1) Mozilla provides a "Safe Mode", allowing you to use Firefox without any addons.
2) You can always disable/uninstall addons.
3) The addon developer is the one at fault, and should be the one to fix this.

In direct answer to your question: "lock the address bar" is very generic, afaik there are numerous ways this effect can be achieved, none of which can be guarded against. Say, for example, an addon developer decides to replace all addresses typed in the address bar that aren't valid urls with an about: page explaining to the user how to correctly navigate the internet. Say the about: page isn't properly registered with firefox, now every time the user types in "google", which default handling sends you to a search page with that search term, in this case the user will get an alert that firefox doesn't recognize the protocol. Who's fault is that? Now just remember, this is only one possibility (although highly improbable) out of dozens of other mistakes extension other can make.

On another note: this bug has been marked INVALID, and this is generally considered bugspam, so I'll discontinue discussing this any further here. If you'd like to propose ideas, a better place would be the newsgroups http://www.mozilla.org/community/developer-forums.html .

D_Richman (drichman) wrote :

Running Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1b2) Gecko/20081201 Firefox/3.1b2. Have been having the same problem. Agree that the culprit is AVG Safe Search. Disabling all other add-ons had no impact. Disabling AVG did the trick.

On Sun, Feb 08, 2009 at 05:39:13PM -0000, D_Richman wrote:
> Running Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1b2)
> Gecko/20081201 Firefox/3.1b2. Have been having the same problem. Agree
> that the culprit is AVG Safe Search. Disabling all other add-ons had no
> impact. Disabling AVG did the trick.
>

what is the AVG extension? do you have a addons.mozilla.org ID for that?

 - Alexander

John Vivirito (gnomefreak) wrote :

On 02/13/2009 12:19 PM, Alexander Sack wrote:
> AVG Safe Search
I tried locating it on the addons page and i get no results.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Assasin (dheerajpoojari) wrote :

Hi techies......

I seemed to be having the same issue of "Ctrl+enter" not working and also "Enter" not working on the location bar.....After a lot of googling, i came to know that this issue can be caused by "AVG SAFE-SEARCH" extension....

So, i went down to "Tools->Addons->Extensions".... got to "AVG SAFE SEARCH", disabled it.

And presto, it worked.

So all you guys finding out diff ways to solve this, try this solution.

If you dont find "AVG SAFE-SEARCH" in your extensions box, then GOD BLESS YOUR SOUL.........

PEACE,

Assasin,
Death Is Just The Beginning.

Sinistral (theconquerer) wrote :

AVG Safe Search is a add-on installed alongside AVG Anti-Virus. Its purpose is to check links you enter in the URLBar and (at least google) search result links for maliciousness.

In its Chrome/content/overlay.xul there is a line

<textbox id="urlbar" ontextentered="return SearchShield.onURLBarEntered(param);"/>

The function 'onURLBarEntered' should check if the URL is malicious and open it if not. This seems to fail. I didn't dig deeper into that to find out where exactly this function does fail, but just commenting out the line mentioned above to

<!--<textbox id="urlbar" ontextentered="return SearchShield.onURLBarEntered(param);"/>-->

solves at least the problems this add-on is causing to the URLBar while preserving the search result check functionality.

Hope this helps someone.

br0ken (br0ken1) wrote :

I started having this same problem after installed the most recent firefox update via the Update Manager. When I open Preferences, it opens a very very small box in the middle of the screen and when I try to expand it, it's just completely gray colored with nothing else. I've also noticed that the icon in the top right hand corner is not the firefox icon, but just a generic gray box. I am using Ubuntu 8.04 and FF 3.0.8.

Mackenzie Morgan (maco.m) wrote :

That's why it tells you to restart Firefox. Breakage is expected when you
pull Firefox's guts out from under it while it's running.

*** Bug 485957 has been marked as a duplicate of this bug. ***

*** Bug 486439 has been marked as a duplicate of this bug. ***

I'm using 3.5 Beta 3. I'm unable to use enter button after typing url in address bar. In Private Browsing sometimes enter key works but not all time.

I've been keeping a careful eye on this bug on my OS X 10.4 intel machine, and here's what I've seen:

-Something about my machine made this bug happen pretty easily -- just a few hours running FlashBlock and Firefox versions 3.0.8 and earlier. So I ditched Flashblock.

-Without any plugins, I still saw exactly this bug -- hitting return in the url bar does nothing -- maybe about once a month for a total of 3 times. That was Firefox 3.0.8 and earlier. Though very rare, that obviously suggests that the bug is not exclusively a plugin problem, although obviously plugins can do something to trigger it. The Flashblock authors claimed their code did not have the window flaw associated with this bug.

-I've been running 3.0.9 and later both with and without Flashblock, and I have not seen the bug since. I used to see the bug in just a few hours, and now it's been a week and I have not seen it. Therefore, I think there's a real chance that the underlying flaw got fixed in Firefox 3.0.9 or later.

So if you have a favorite plugin that has problems with this bug... you might want to try it again with the latest firefox and see if the plugin now works right.

Moving forward, I think "invalid" is a reasonable state for this bug unless someone sees it happening with Firefox 3.0.10 or later and no plugins. In reality, I think there was an underlying Firefox bug and it got fixed.

I agree with the sentiments above that Firefox cannot get sucked into handling bugs in plugins. However, that means Firefox will have a sort of blind spot where bugs that for whatever reason are associated with plugins tend to be ingored. I don't know for sure, but I suspect that's what happened here.

I for one have this happening right now on 3.0.10 on Ubuntu 9.04 Hitting <Enter> or <Ctrl>+<Enter> on the address bar won't do anything and the only way to navigate is by using the search bar and clicking on links.

Will try to get somebody on IRC to help me gather needed info because this one is a difficult one to replicate but is still there hiding somewhere.

Plugins:
Adblock Plus 1.0.2
Adblock Plus: Element Hiding Helper 1.0.5
Delicious Bookmarks 2.1.018
Diccionario español Argentina 1.1.1
FireGPG 0.7.5
Ubuntu Firefox Modifications 0.7

I filed bug 490834 about blocklisting Delicious 2.0.64

Adam Dorsey (adorsey) wrote :

Whenever this happens to me in the search bar, I get the following error in the Error console (Ubuntu Jaunty, latest Firefox):

Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [mozIStorageStatementWrapper.step]" nsresult: "0x80004005 (NS_ERROR_FAILURE)" location: "JS frame :: file:///usr/lib/firefox-3.0.11/components/nsSearchService.js :: epsGetAttr :: line 2921" data: no]
Source File: file:///usr/lib/firefox-3.0.11/components/nsSearchService.js
Line: 2921

This happens after the following error appears:

Error: Permission denied to call method Location.toString

The address bar does not work either, but no error is returned when I try to use it. The only extensions installed are Adblock Plus and the Ubuntu Firefox Enhancements.

This is still an issue for me without any of the named extensions installed.

Whenever this happens to me in the search bar, I get the following error in the Error console (Ubuntu Jaunty, Firefox 3.0.11):

Error: [Exception... "Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [mozIStorageStatementWrapper.step]" nsresult: "0x80004005 (NS_ERROR_FAILURE)" location: "JS frame :: file:///usr/lib/firefox-3.0.11/components/nsSearchService.js :: epsGetAttr :: line 2921" data: no]
Source File: file:///usr/lib/firefox-3.0.11/components/nsSearchService.js
Line: 2921

This happens after the following error appears:

Error: Permission denied to call method Location.toString

The address bar does not work either, but no error is returned when I try to use it. The only extension installed is the Ubuntu Firefox Enhancements.

(In reply to comment #166)
> Whenever this happens to me in the search bar, I get the following error in the
> Error console (Ubuntu Jaunty, Firefox 3.0.11):

This looks like bug 433129. Please head over there. Thanks.

GeneralError (dave-rpg4) wrote :
Download full text (3.7 KiB)

I just had this happen to me in FF3.5.3. It happened just after I installed the ALEXA Sparky extension. I removed it and everything is back to normal.

Dave

Generated: Thu Oct 01 2009 13:40:49 GMT-0500 (Central Daylight Time)
User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Build ID: 20090824101458

Enabled Extensions: [34]
- Adblock Plus 1.1.1: http://adblockplus.org/
- Chrome View 0.2.0: http://www.systemantics.net/chrome_view
- Chromifox Companion 0.5: http://www.google.com/search?q=Firefox%20Chromifox%20Companion
- Chromin Frame 1.0.9.3: https://addons.mozilla.org/firefox/addon/10091/
- Coral IE Tab 1.60.20090901: http://coralietab.mozdev.org
- DOM Inspector 2.0.3: http://www.mozilla.org/projects/inspector/
- DownThemAll! 1.1.6: http://downthemall.net/
- FaviconizeTab 0.9.8.2: http://espion.just-size.jp/archives/06/308085916.html
- Firebug 1.4.3: http://www.getfirebug.com/
- Firefox Showcase 0.9.5.1: http://showcase.uworks.net/
- Google Pagerank Status 0.9.9: http://pizzaseo.com/firefox-pagerank
- Google Redesigned 0.3.5: http://www.globexdesigns.com/
- Greasemonkey 0.8.20090920.2: http://www.greasespot.net/
- Hide Caption 0.7.6.1: http://www.google.com/search?q=Firefox%20Hide%20Caption
- Html Validator 0.8.5.8: http://users.skynet.be/mgueury/mozilla/
- IE View Lite 1.3.5: http://www.graysonmixon.com/extension/
- Java Console 6.0.01: http://www.google.com/search?q=Firefox%20Java%20Console
- Java Console 6.0.02: http://www.google.com/search?q=Firefox%20Java%20Console
- Java Console 6.0.03: http://www.google.com/search?q=Firefox%20Java%20Console
- Java Console 6.0.07: http://www.google.com/search?q=Firefox%20Java%20Console
- Java Console 6.0.11: http://www.google.com/search?q=Firefox%20Java%20Console
- Java Console 6.0.13: http://www.google.com/search?q=Firefox%20Java%20Console
- Java Quick Starter 1.0: http://www.google.com/search?q=Firefox%20Java%20Quick%20Starter
- JavaScript Debugger 0.9.87.4: http://www.hacksrus.com/~ginda/venkman/
- Microsoft .NET Framework Assistant 1.1: http://www.windowsclient.net/
- MR Tech Toolkit 6.0.3.4: http://www.mrtech.com/extensions/
- ShowIP 0.8.17: http://code.google.com/p/firefox-showip/
- Site Information Tool 1.2: http://www.wmtips.com/tools/info/add-on/firefox/
- SkipScreen 0.1.07282009_url_fix: http://skipscreen.com/
- Sticky Password Autofill Engine 2.0.37: http://www.stickypassword.com
- Tab Mix Plus 0.3.8.1: http://tmp.garyr.net
- Web Developer 1.1.8: http://chrispederick.com/work/web-developer/
- WOT 20090918: http://www.mywot.com/
- Xmarks 3.3.2: http://www.xmarks.com/

Installed Themes: [7]
- Chromifox Basic 1.1.3: http://tcmediatech.com/firefox/
- Chromifox Extreme 3.0.7: https://addons.mozilla.org/en-US/firefox/addon/9427/
- Chromifox Extreme Blade 1.0.2: https://addons.mozilla.org/en-US/firefox/addon/11413
- Chromifox Extreme Carbon 1.0.3: https://addons.mozilla.org/en-US/firefox/addon/10883
- Default: http://www.mozilla.org/
- Noia 2.0 (eXtreme) 3.69: http://kasteo.deviantart.com
- Vista-aero 3.0.0.62: http://www.google.com/search?q=Firefox%20Vista-aero

Installed Plugins: (21)
- 2007 Microsoft Office system
- Adobe...

Read more...

mentormatt8 (mentormatt8) wrote :

This same exact problem has reoccurred today with Mozilla Firefox 3.5: Here are the details of the problem and solution. It may help people finding out about this problem today.

http://annoyances-resolved.blogspot.com/2009/10/address-bar-not-working-in-firefox-on.html

Boyd Chung (boyd-chung) wrote :

After upgrading to Alexa Sparky 1.4.4 this morning and have this exact problem.

I have disable the Alexa add-on and restarted Firefox 3.5.3 and it back to normal.

So maybe what we really need is a wiki page on which to list add-ons that have
this bug and then just point people to *that*? A very small number of add-ons
are packaged, but AFAIK none of them have been listed as a culprit yet.

On 10/13/2009 09:09 PM, mentormatt8 wrote:
> This same exact problem has reoccurred today with Mozilla Firefox 3.5:
> Here are the details of the problem and solution. It may help people
> finding out about this problem today.
>
> http://annoyances-resolved.blogspot.com/2009/10/address-bar-not-working-
> in-firefox-on.html
>
try using a new profile

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

On 10/14/2009 08:01 PM, Mackenzie Morgan wrote:
> So maybe what we really need is a wiki page on which to list add-ons that have
> this bug and then just point people to *that*? A very small number of add-ons
> are packaged, but AFAIK none of them have been listed as a culprit yet.
>
disable all and add them back one by one to find what one is
causing it. the extensions get updated way too often to keep
track of a wiki.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

This morning Alexa did an auto update, then i noticed my url bar not working exactly as described by everyone else. I uninstalled Alexa and now the url bar works. FF 3.5.3 XP pro sp3

STAR (taheralami) wrote :

####### PLEASE NOTE HERE ARE TWO WORKING SOLUTIONS, TRY NUMBER 2 FIRST ############
- First of all, let me tell you that i had the same problem since two weeks... and i tried to fix it tonight with the help of this topic.
- I am on FF 3.5 with a loooooooooot of plugins and addons.
- I am on Windows Vista
- My problem was the same of yours... the enter button do not work to enterlocations on adressbar, same thing with the green button, and same thing with ctrl+enter, etc.

1. FIRST SOLUTION : Half Solution (cause you'll have to reinstall your plugins and addons and add your preferences )
- All you have to do is click on RUN >( then) >EXECUTE >( then) > Firefox -P
- You create a new profile and things will be back again.
- As i said you will have to reinstall plugins, preferences, addons, etc.

2. SECOND SOLUTION : EVERYTHING IS BACK
This solution worked for me... let's just say i was lucky.
- Go to C:\Program Files\Mozilla Firefox\chrome
- Rename browser.xul
- Run firefox (you will notice that it's not working, it's normal)
- Go back to C:\Program Files\Mozilla Firefox\chrome and get browser.xul to it's original name
- Run firefox again... it's should work then ! :)

I hope you all resolve the problem... please share the solution and please let others know if it worked for you.

Taher ALAMI (STAR)
http://twitter.com/taheralami

On 10/27/2009 06:43 PM, STAR wrote:
> ####### PLEASE NOTE HERE ARE TWO WORKING SOLUTIONS, TRY NUMBER 2 FIRST ############
> - First of all, let me tell you that i had the same problem since two weeks... and i tried to fix it tonight with the help of this topic.
> - I am on FF 3.5 with a loooooooooot of plugins and addons.
> - I am on Windows Vista
> - My problem was the same of yours... the enter button do not work to enterlocations on adressbar, same thing with the green button, and same thing with ctrl+enter, etc.
>
> 1. FIRST SOLUTION : Half Solution (cause you'll have to reinstall your plugins and addons and add your preferences )
> - All you have to do is click on RUN >( then) >EXECUTE >( then) > Firefox -P
> - You create a new profile and things will be back again.
> - As i said you will have to reinstall plugins, preferences, addons, etc.
>
> 2. SECOND SOLUTION : EVERYTHING IS BACK
> This solution worked for me... let's just say i was lucky.
> - Go to C:\Program Files\Mozilla Firefox\chrome
> - Rename browser.xul
> - Run firefox (you will notice that it's not working, it's normal)
> - Go back to C:\Program Files\Mozilla Firefox\chrome and get browser.xul to it's original name
> - Run firefox again... it's should work then ! :)
>
> I hope you all resolve the problem... please share the solution and
> please let others know if it worked for you.
>
> Taher ALAMI (STAR)
> http://twitter.com/taheralami
>
How is the above solutions help for our packages? The paths
you gave above are Windows file system paths

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Well I don't have a fix for this issue for myself, but I do have a work around. I've found that if I start up FF in safe mode and then do a "reset toolbars and controls" and then let FF startup I can then use my address bar normally, until I shutdown and restart FF again.

I am currently running WIN XP SP2, and FF 3.5.7

This happens on both my home and work PCs, and each is running a different set of add-ons.

I'd love to find a fix to this and not just a work around.

Phil

John Vivirito (gnomefreak) wrote :

On 01/18/10 12:40, philwojo wrote:
> Well I don't have a fix for this issue for myself, but I do have a work
> around. I've found that if I start up FF in safe mode and then do a
> "reset toolbars and controls" and then let FF startup I can then use my
> address bar normally, until I shutdown and restart FF again.
>
> I am currently running WIN XP SP2, and FF 3.5.7
>
> This happens on both my home and work PCs, and each is running a
> different set of add-ons.
>
> I'd love to find a fix to this and not just a work around.
>
> Phil
>
The code is different from Windows to Linux, however seeing
the same issue on both is likely to be the same.

Ok this bug has been closed for a reason, please read full
bug. Please also do not comment on a closed bug because it
adds alot of emails and it interrupts our work on other bugs/email

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Andrei Lima (andrei-lima-br) wrote :

hello guys. I've noticed the same on my firefox 3.5.7. For me the thing that worked is clicking in the free space in toolbar , right-click select Customize, when the window open click in the button restore the defaults, after doing this, restart the firefox, that's it. It's worked for me. Good look, Peace...thanks for attention.

Changed in firefox:
importance: Unknown → High

I had exactly the problem outlined in this bug thread. However, by a process of elimination, I located the offending file. In my case the offending file that caused Firefox's "spasm" (a term given by this bug thread starter) was "search.json" located in Firefox’s Profile directory.

Upon renaming the Profile directory to something, and then executing Firefox, Firefox is forced to create a new profile. The "spasm" was confirmed not to occur in the new profile.

Exiting Firefox and replacing the "search.json" with the offending "search.json" into the new profile directory, then firing-up Firefox, the dreaded Firefox "spasm" once again takes hold.

As stated earlier, it was by a process of elimination that found the offending file. In this process, I tested other files such as, content-prefs.sqlite, cookies.sqlite, downloads.sqlite, formhistory.sqlite, localstore.rdf, permissions.sqlite, search.sqlite, webappsstore.sqlite, in a similar manner, but none of them could replicate the "spasm".

I presume the file "search.json" gets corrupted and some how incapacitates the address bar.

User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:8.0) Gecko/20100101 Firefox/8.0

Displaying first 40 and last 40 comments. View all 232 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.